Compute Resource password field reverts to "old" password after pressing Test Connection

11/04/2016 06:02 AM - Ondřej Pražák

Status: Duplicate   

Priority: Low   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1389810

Description of problem:

New password entered into the password field of Compute Reource does not save when then executing 

any action other than Submit (such as Test Connection).

 
How reproducible:

 Always, in customer environment.

 
Steps to reproduce:

 In the webUI, navigate to Infrastructure > Compute Resource > select an existing resource for whi

ch you want to change the login credentials.

 
If you enter the new username and password and hit anything but Submit, that command works,

 but when the screen is refreshed the old password is defaulted, then when you try anything else,

 the old password is used and the new operation fails.

 
If you enter the new username and password and immediately hit hit Submit, You can then go back an

d edit again and "load datacenters", "test connection" or whatever.

 
The new username and password are remembered for that single operation. If that operation is Submi

t, then the password is saved and will be used for future operations.

 
I would think that the username and password should be remembered until you Cancel, Submit, or lea

ve the page.

Related issues:

Is duplicate of Foreman - Bug #13497: InvalidLogin: Cannot complete login due... Closed 02/01/2016

History

#1 - 11/04/2016 06:03 AM - Ondřej Pražák

- Tracker changed from Feature to Bug

- Subject changed from Compute Resource password field reverts to "old" password after pressing Test Connection

 to Compute Resource password field reverts to "old" password after pressing Test Connection

- Category changed from VM management to Compute resources

#2 - 11/04/2016 06:03 AM - Ondřej Pražák

- Target version set to 115

#3 - 11/08/2016 12:05 PM - Ivan Necas

Ondrej, might this be a duplicate http://projects.theforeman.org/issues/13497?

#4 - 11/09/2016 02:57 AM - Ondřej Pražák
http://projects.theforeman.org/issues/13497


- Status changed from New to Duplicate

- Bugzilla link deleted (1389810)

Ivan Necas wrote:

Ondrej, might this be a duplicate http://projects.theforeman.org/issues/13497?

 You are right, setting this to duplicate.

#5 - 11/09/2016 02:57 AM - Ondřej Pražák

- Is duplicate of Bug #13497: InvalidLogin: Cannot complete login due to an incorrect user" when trying to provision a new host added
